Virtual Disk Manager Shrink Virtual Disk Task

Virtual Disk Manager Shrink Virtual Disk Task
Shrink a sparse virtual disk.

Deprecated as of vSphere 6.5, use ShrinkDisk_Task instead.

Shrink a sparse virtual disk.

The datacenter parameter may be omitted if a URL is used to name the disk.

The optional parameter copy specifies whether to shrink the disk in copy-shrink mode or in-place mode. In copy-shrink mode, additional space is required, but will result in a shrunk disk that is also defragmented. In-place shrink does not require additional space, but will increase fragmentation. The default behavior is to perform copy-shrink if the parameter is not specified.

Requires Datastore.FileManagement privilege on the datastore where the virtual disk resides.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/VirtualDiskManager/{moId}/ShrinkVirtualDisk_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VirtualDiskManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ShrinkVirtualDiskRequestType of type(s) application/json
Required

Show optional properties

{
    "name": "string"
}
{
    "name": "string",
    "datacenter": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "copy": false
}
string
name
Required

The name of the disk, either a datastore path or a URL referring to the virtual disk that should be shrink.

datacenter
Optional

If name is a datastore path, the datacenter for that datastore path. Not needed when invoked directly on ESX. If not specified on a call to VirtualCenter, name must be a URL.

boolean
copy
Optional

If true or omitted, performs shrink in copy-shrink mode, otherwise shrink in in-place mode.

Authentication
This operation uses the following authentication methods.
Responses
200

This method returns a Task object with which to monitor the operation.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

FileFault: if an error occurs shrinking the virtual disk.

InvalidDatastore: if the operation cannot be performed on the datastore.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/sdk/vim25/{release}/VirtualDiskManager/{moId}/ShrinkVirtualDisk_Task